Bug 35213 - New archive signature key for UCS 4.0
New archive signature key for UCS 4.0
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: General
UCS 3.2
Other Linux
: P5 normal (vote)
: UCS 3.2-2-errata
Assigned To: Moritz Muehlenhoff
Philipp Hahn
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-30 08:43 CEST by Moritz Muehlenhoff
Modified: 2014-07-08 16:12 CEST (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Moritz Muehlenhoff univentionstaff 2014-06-30 08:43:43 CEST
We need a new archive signature key for UCS 4.0.

We will start to ship it through errata updates for 3.2.
Comment 1 Moritz Muehlenhoff univentionstaff 2014-06-30 13:22:04 CEST
The new key has been generated and is now shipped in univention-archive-files. We still deliver the UCS 3.x key in UCS 4.0 to support mixed environments and local mirrors.

I also fixed ucs_announce_scope.py to properly sign released scopes. For the QA I've released the "experimental" scope for UCS 4.0 with the new key. It is available on the test mirror (the repo currently only contains the i386 build of hello):

deb http://apt.knut.univention.de/4.0/unmaintained/component/ experimental/all/
deb http://apt.knut.univention.de/4.0/unmaintained/component/ experimental/i386/
deb http://apt.knut.univention.de/4.0/unmaintained/component/ experimental/amd64/

YAML file: 2014-06-30-univention-archive-key.yaml
Comment 2 Philipp Hahn univentionstaff 2014-07-04 19:26:31 CEST
OK: /usr/sbin/announce_errata -V 2014-06-30-univention-archive-key.yaml
OK: apt-get install univention-archive-key # with warning
OK: apt-cache policy univention-archive-key
OK: apt-key list
OK: apt-get install hello # without warning
Comment 3 Moritz Muehlenhoff univentionstaff 2014-07-08 16:12:56 CEST
http://errata.univention.de/ucs/3.2/138.html